- Homepage
- Fan Accessories
- Filters
- SRRCP - Fan Filter Set
SRRCP - Fan Filter Set
A complete filter kit that fits onto cooling fans to protect equipment from dust buildup. Helps maintain optimal airflow and prolong system life.
A complete filter kit that fits onto cooling fans to protect equipment from dust buildup. Helps maintain optimal airflow and prolong system life.
Item Code | Finger Guard Part Number | Material Flammability Standard | Colour | Filter Set Quantity | Overall Width | Finger Guard Hole Distance | Overall Height | Filter Cover Part Number | Cover Material | Minimum Operating Temperature | Filter Material | Mounting Hole Diameter | Finger Guard Depth | Fan Cover Depth | Fan Cover Width | Maximum Operating Temperature | Request Quote |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
RFG-040-T | UL94 V-0 | Black | 40x40 - 50 per box | 43.0mm | 32.2 mm | 40.0mm | RFC-040-T | 25% Glass Filled Nylon 6.6 | Finger Guard:-30 °C, Filter Cover:-30 °C, Mesh Filter:-200 | Polyester | 4.1mm | 4.3 mm | 8.4 mm | 46.5 mm | Finger Guard: 65 °C, Filter Cover: 65 °C, Mesh Filter: 870 | ||
RFG-060-T | UL94 V-0 | Black | 60x60 - 20 per box | 60.5mm | 50.1 mm | 60.0mm | RFC-060-T | 25% Glass Filled Nylon 6.6 | Finger Guard:-30 °C, Filter Cover:-30 °C, Mesh Filter:-200 | Polyester | 4.1mm | 6.0 mm | 12.5 mm | 64.9 mm | Finger Guard: 65 °C, Filter Cover: 65 °C, Mesh Filter: 870 | ||
RFG-080-T | UL94 V-0 | Black | 80x80 - 10 per box | 80.6mm | 71.8 mm | 80.0mm | RFC-080-T | 25% Glass Filled Nylon 6.6 | Finger Guard:-30 °C, Filter Cover:-30 °C, Mesh Filter:-200 | Polyester | 4.1mm | 6.0 mm | 12.5 mm | 84.8 mm | Finger Guard: 65 °C, Filter Cover: 65 °C, Mesh Filter: 870 | ||
RFG-092-T | UL94 V-0 | Black | 92x92 - 10 per box | 92.3mm | 82.4 mm | 92.0mm | RFC-092-T | 25% Glass Filled Nylon 6.6 | Finger Guard:-30 °C, Filter Cover:-30 °C, Mesh Filter:-200 | Polyester | 4.1mm | 6.0 mm | 12.5 mm | 96.9 mm | Finger Guard: 65 °C, Filter Cover: 65 °C, Mesh Filter: 870 | ||
RFG-120-T | UL94 V-0 | Black | 120x120 - 10 per box | 120.0mm | 105.5 mm | 120.0mm | RFC-120-T | 25% Glass Filled Nylon 6.6 | Finger Guard:-30 °C, Filter Cover:-30 °C, Mesh Filter:-200 | Polyester | 4.1mm | 6.2 mm | 12.5 mm | 126.3 mm | Finger Guard: 65 °C, Filter Cover: 65 °C, Mesh Filter: 870 |